#ifndef WFDISPLAY_H
#define WFDISPLAY_H

#include <QWidget>
#include <lppmonplot.h>
#include <QGridLayout>
#include <QVBoxLayout>
#include <wfplot.h>
#include <wfpage.h>
#include <QTabWidget>
#include <params.h>

class WFDisplay : public QWidget
{
    Q_OBJECT
public:
    explicit WFDisplay(QWidget *parent = 0);

    WFPage * page_f0;
    WFPage * page_f1;
    WFPage * page_f2;
    WFPage * page_f3;

    QTabWidget *spwTabWidget;

    QVBoxLayout *waveforms_LAYOUT;

    void displayOnPlot(short *data, unsigned char num_page, unsigned char num);

    
signals:
    
public slots:
    
};

#endif // WFDISPLAY_H
